#pragma once

#include "GameObject.h"
#include "Team.h"

class Spiel;

class Base : public GameObject
{
private:
    int id;
    Team *team;
    int maxTime;
    bool inChange;
    Team *nextTeam;
    float leftTime;

public:
    Base( int id, int x, int y, int width, int height, int maxTime = 10, Team *team = 0 );
    ~Base();
    void setTeam( Team *team );
    void startChange( Team *team );
    void tick( double time, Spiel *zSpiel );
    Team *getTeam() const;
    Team *zTeam() const;
};