#include "Schalter.h"


Schalter::Schalter( int id, int x, int y, int width, int height, bool aktive )
    : GameObject( SCHALTER, x, y, width, height )
{
    this->id = id;
    this->aktiv = aktive;
    aktivierungen = 0;
}

void Schalter::setAktive( bool aktiv )
{
    this->aktiv = aktiv;
}

void Schalter::press()
{
    aktivierungen++;
}

int Schalter::getAnzahlAktivierungen() const
{
    return aktivierungen;
}

bool Schalter::isAktive() const
{
    return aktiv;
}

int Schalter::getId() const
{
    return id;
}